/* eslint-disable react-hooks/rules-of-hooks */
import { useEffect, useRef, useState } from "react"
import prisma from "~/services/db.server"
import { useLoaderData } from "@remix-run/react";
import style from '@/nt-style.css?url';
import sliderCSS from '@/nt-slider.css?url';
import sliderJS from '@/nt-splide.js?url';
import masonry from '@/nt-masonry.js?url';
import embed from '@/lookbook.js?url';
import script from '@/script.js?url';
import type { LinksFunction } from "@remix-run/node"; // or cloudflare/deno

export const links: LinksFunction = () => {
  return [
    {
      rel: "stylesheet",
      href: sliderCSS,
      id: 'nt-link-splide-css'
    },
    {
      rel: "stylesheet",
      href: style,
      id: 'link-style'
    },
    
    {
      rel: "javascript",
      href: sliderJS,
      id: 'nt-link-splide-js'
    },
    {
      rel: "javascript",
      href: embed,
    },
    {
      rel: "javascript",
      href: script,
      id: 'nt-script'
    },
    {
      rel: "javascript",
      href: masonry,
      id: 'nt-link-masonry'
    }
    
  ];
};
export const loader = async ({ request, params }: LoaderFunctionArgs) => {
    const res = await prisma.options.findFirst({
        where: {
            user_id: parseInt(params.id),
            key: 'shop_settings'
        },
        select: {
            options: true
        }
    });
    const res_custom_css = await prisma.options.findFirst({
      where: {
        user_id: parseInt(params.id),
        key: 'custom_css'
      },
      select: {
        options: true
      }
    });
    let custom_css = "";
    if(res_custom_css) {
      custom_css = res_custom_css.options.value;
    }
    return {
      option_shop_settings: res,
      custom_css
    };
};
export default function abc() {
    const loader = useLoaderData<typeof loader> ()
    useEffect(() => {
        if(typeof window !== 'undefined') {
            window.NTLookbook = window.NTLookbook || {};
            window.NTLookbook.money_format = loader.option_shop_settings.options.shop.money_format;
            window.NTLookbook.formatMoney=function(t,e){function n(t2,e2){return t2===void 0?e2:t2}function o(t2,e2,o2,i2){if(e2=n(e2,2),o2=n(o2,","),i2=n(i2,"."),isNaN(t2)||t2==null)return 0;var r2=(t2=(t2/100).toFixed(e2)).split(".");return r2[0].replace(/(\d)(?=(\d\d\d)+(?!\d))/g,"$1"+o2)+(r2[1]?i2+r2[1]:"")}typeof t=="string"&&(t=t.replace(".",""));var i="",r=/\{\{\s*(\w+)\s*\}\}/,a=e||this.money_format;switch(a.match(r)[1]){case"amount":i=o(t,2);break;case"amount_no_decimals":i=o(t,0);break;case"amount_with_comma_separator":i=o(t,2,".",",");break;case"amount_with_space_separator":i=o(t,2," ",",");break;case"amount_with_period_and_space_separator":i=o(t,2," ",".");break;case"amount_no_decimals_with_comma_separator":i=o(t,0,".",",");break;case"amount_no_decimals_with_space_separator":i=o(t,0," ");break;case"amount_with_apostrophe_separator":i=o(t,2,"'",".")}return a.replace(r,i)};
        }
    }, [])
    return (
        <div style={{overflow: 'visible'}}>
            <script src={embed}></script>
            <script src={script}></script>
            <script src={sliderJS}></script>
            <script src={masonry}></script>
            <script id="custom-css" type="text">{loader.custom_css}</script>
                <nt-lookbook/>
        </div>
    )
}
